class Wedges implements Shape {
  color dColor;
  int dTeeth;
  int minXSize, minYSize, maxXSize, maxYSize;

  //Wedges
  Wedges() {
    dTeeth = 5;
  } //Wedges

  //updateDraw
  @Override
    void updateDraw(int dOriginX, int dOriginY, int dWidth, int dHeight, PGraphics buffer) {
    dColor = getDotColor();

    buffer.pushMatrix();
    buffer.translate(dOriginX, dOriginY);

    //containing rect:
    if (showRects) {
      buffer.fill(120, 80, 0);
      buffer.noStroke();
      buffer.rect(0, 0, dWidth, dHeight);
    }

    buffer.fill(dColor);
    buffer.noStroke();

    float toothYDivision = float(dHeight) / float(dTeeth);
    float toothHeight = toothYDivision * 0.6;
    float makeupWidth = (toothYDivision * 0.4) / (dTeeth - 1);
    float toothYPos = 0.0;

      boolean reversed = random(1) > 0.75;

    for (int i=0; i<dTeeth; i++) {
      toothYPos = toothYDivision * i;
      //        rect(0, toothYPos, dWidth, toothHeight);

      buffer.strokeWeight(toothHeight);
      buffer.noStroke();
      buffer.fill(dColor);
      float r = random(3);

      if (reversed) {
        buffer.triangle(dWidth - r, toothYPos, dWidth - dWidth, toothYPos + (toothYDivision / 2.0), dWidth - r, toothYPos + toothYDivision - 2);
      } 
      else {
        buffer.triangle(0 + r, toothYPos, dWidth, toothYPos + (toothYDivision / 2.0), 0 + r, toothYPos + toothYDivision - 2);
      }
    }
    buffer.strokeWeight(1);

    buffer.popMatrix();
  } //updateDraw

  void setSizes(int minX, int minY, int maxX, int maxY) {
    minXSize = minX;
    minYSize = minY;
    maxXSize = maxX;
    maxYSize = maxY;
  }
  int minXSize() {
    return minXSize;
  }
  int minYSize() {
    return minYSize;
  }
  int maxXSize() {
    return maxXSize;
  }
  int maxYSize() {
    return maxYSize;
  }
}

